curl --request GET \
--url https://api.qovery.com/secretManagerAccess/{secretManagerAccessId}/associatedServices \
--header 'Authorization: Bearer <token>'{
"results": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"variable_name": "<string>",
"external_secret_name": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION"
}
]
}List external secrets used by a secret manager access
curl --request GET \
--url https://api.qovery.com/secretManagerAccess/{secretManagerAccessId}/associatedServices \
--header 'Authorization: Bearer <token>'{
"results": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"variable_name": "<string>",
"external_secret_name": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-gcp-static-egress-ips.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Secret Manager Access ID
List external secrets used by a secret manager access
Show child attributes
Was this page helpful?